#ifndef A9EC2321_3F3B_49F7_9948_3F7C0983B312
#define A9EC2321_3F3B_49F7_9948_3F7C0983B312

#include <spdlog/sinks/stdout_color_sinks.h>
#include <spdlog/spdlog.h>

namespace mesytec::mnode
{

inline std::shared_ptr<spdlog::logger> get_spdlog_logger(const std::string &name)
{
    if (auto logger = spdlog::get(name))
        return logger;

    return spdlog::stdout_color_mt(name);
}

} // namespace mesytec::mnode

#endif /* A9EC2321_3F3B_49F7_9948_3F7C0983B312 */
